Subject: Add FE group 0 by default in no one is given as parameter
Description

Hi,

environment: TYPO3 6.1

I seems there is a problem computing the hash, if no FE group is given as parameter. FYI, I get this message "Hash invalid! Access
denied!" for every file. A solution would be setting a FE group 0 by default in no one is given as parameter as done for FE user 
$frontendUserId = 0;.

diff --git a/class.tx_nawsecuredl.php b/class.tx_nawsecuredl.php
index 22ac5cc..b67476d 100644
--- a/class.tx_nawsecuredl.php
+++ b/class.tx_nawsecuredl.php
@@ -168,7 +168,7 @@ class tx_nawsecuredl {
                        $frontendUserGroupIds = t3lib_div::trimExplode(',', $this->objFrontend->fe_user->user['usergroup'], TRUE);
                } else {
                        $frontendUserId = 0;
-                       $frontendUserGroupIds = array();
+                       $frontendUserGroupIds = array(0);
                }

                $cacheTimeToAdd = $this->extensionConfiguration['cachetimeadd'];

History
#1 - 2013-06-21 00:04 - anybody no-lastname-given

It seems to be a general problem. With Typo3 v4.7.x naw_securedl v. 1.6.1 produces links like

http://www.example.com/index.php?eID=tx_nawsecuredl&#38;u=0&#38;g=&#38;file=path/file.end&#38;t=1234567890&#38;hash=131231231231231
321312312

This means, that always I get an empty group parameter (&g=&). It is equal whether the new group option is activated or not.

#2 - 2013-07-01 08:37 - Eric Chavaillaz

It's the same for me with TYPO3 4.5.25...

Thanks
#3 - 2013-07-08 14:51 - Dietrich Heise
- Status changed from New to Accepted

#4 - 2013-07-25 13:14 - Eric Chavaillaz

Is this fix with the last version uploaded in the TER?

Thanks

#5 - 2013-07-25 13:31 - Dietrich Heise
- Status changed from Accepted to Closed
- % Done changed from 0 to 100

Yes it's fixed in 1.7.1.

Dietrich
